# List cPanel account's calendar delegates

This function lists all calendar delegates on the cPanel account.

Note:

You must install the Calendar and Contacts Server cPanel plugin to access this API function.

Endpoint: GET /CCS/list_delegates
Version: 11.136.0.19
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_delegates"

  - `module` (string)
    The name of the module called.
    Example: "CCS"

  - `result` (object)

  - `result.data` (array,null)
    An array of objects that contain Calendars and Contacts Server calendar delegation information.

  - `result.data.delegatee` (string)
    The user with delegation rights.
    Example: "delegatee@cptest.test"

  - `result.data.delegator` (string)
    The calendar's owner.
    Example: "delegator@cptest.test"

  - `result.data.read_only` (integer)
    Whether the delegatee has read-only access on the calendar.
* 1 - Read-only access.
* 0 - Full access.
    Enum: 1, 0

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


